' Common ESC/P and ESC/P2 equates
' ===============================

%NUL =  0
%BEL =  7
%BS  =  8
%HT  =  9
%LF  = 10
%VT  = 11
%FF  = 12
%CR  = 13
%SO  = 14
%SI  = 15
%DC1 = 17
%DC2 = 18
%DC3 = 19
%DC4 = 20
%CAN = 24
%ESC = 27
%SP  = 32
%DEL = 127

' Line Spacing commands
' =====================

dp6LPI$      = CHR$(27) + CHR$(48)
dp8LPI$      = CHR$(27) + CHR$(50)
dpn60LPI$    = CHR$(27) + CHR$(65)
dpn180LPI$   = CHR$(27) + CHR$(51)
dpn360LPI$   = CHR$(27) + CHR$(43)
dp772LPI$    = CHR$(27) + CHR$(49)
dpHTab$      = CHR$(27) + CHR$(68) + ""
dpVTab$      = CHR$(27) + CHR$(66) + ""
dpHTabFixed$ = CHR$(27) + CHR$(101) + CHR$(48) + ""
dpVTabFixed$ = CHR$(27) + CHR$(101) + CHR$(49) + ""

' Font Selection
' ==============

dpFontDefault$    = CHR$(27) + CHR$(107) + CHR$(0)
dpFontRoman$      = CHR$(27) + CHR$(107) + CHR$(0)
dpFontSansSerif$  = CHR$(27) + CHR$(107) + CHR$(1)
dpFontCourier$    = CHR$(27) + CHR$(107) + CHR$(2)
dpFontPrestige$   = CHR$(27) + CHR$(107) + CHR$(3)
dpFontScript$     = CHR$(27) + CHR$(107) + CHR$(4)
dpFontOCRB$       = CHR$(27) + CHR$(107) + CHR$(5)
dpFontOCRA$       = CHR$(27) + CHR$(107) + CHR$(6)
dpFontOrator$     = CHR$(27) + CHR$(107) + CHR$(7)
dpFontOratorS$    = CHR$(27) + CHR$(107) + CHR$(8)
dpFontScriptC$    = CHR$(27) + CHR$(107) + CHR$(9)
dpFontRomanT$     = CHR$(27) + CHR$(107) + CHR$(10)
dpFontSansSerifH$ = CHR$(27) + CHR$(107) + CHR$(11)
dpFontSVBusaBA$   = CHR$(27) + CHR$(107) + CHR$(30)
dpFontSVJittRA$   = CHR$(27) + CHR$(107) + CHR$(31)
dpFontUser1$      = CHR$(27) + CHR$(107) + CHR$(65)
dpFontUser2$      = CHR$(27) + CHR$(107) + CHR$(66)
dpFontUser3$      = CHR$(27) + CHR$(107) + CHR$(67)


' Font Pitch
' ==========

dp10CPI$   = CHR$(27) + CHR$(80)
dp12CPI$   = CHR$(27) + CHR$(77)
dpSmall$   = CHR$(27) + CHR$(103)

dpFixed$   = CHR$(27) + CHR$(112) + CHR$(48)
dpProp$    = CHR$(27) + CHR$(112) + CHR$(49)
dpPropOff$ = CHR$(27) + CHR$(112) + CHR$(48)
dpPropOn$  = CHR$(27) + CHR$(112) + CHR$(49)

dpDefaultFixed$ = CHR$(27) + CHR$(88) + CHR$(33) + CHR$(22) + CHR$(0)
dpDefaultProp$  = CHR$(27) + CHR$(88) + CHR$(1)  + CHR$(22) + CHR$(0)

dp8PtFixed$     = CHR$(27) + CHR$(88) + CHR$(24) + CHR$(16) + CHR$(0)
dp8PtProp$      = CHR$(27) + CHR$(88) + CHR$(1)  + CHR$(16) + CHR$(0)
dp10PtFixed$    = CHR$(27) + CHR$(88) + CHR$(30) + CHR$(20) + CHR$(0)
dp10PtProp$     = CHR$(27) + CHR$(88) + CHR$(1)  + CHR$(20) + CHR$(0)
dp11PtFixed$    = CHR$(27) + CHR$(88) + CHR$(33) + CHR$(22) + CHR$(0)
dp11PtProp$     = CHR$(27) + CHR$(88) + CHR$(1)  + CHR$(22) + CHR$(0)
dp12PtFixed$    = CHR$(27) + CHR$(88) + CHR$(36) + CHR$(24) + CHR$(0)
dp12PtProp$     = CHR$(27) + CHR$(88) + CHR$(1)  + CHR$(24) + CHR$(0)
dp14PtFixed$    = CHR$(27) + CHR$(88) + CHR$(42) + CHR$(28) + CHR$(0)
dp14PtProp$     = CHR$(27) + CHR$(88) + CHR$(1)  + CHR$(28) + CHR$(0)
dp16PtFixed$    = CHR$(27) + CHR$(88) + CHR$(48) + CHR$(32) + CHR$(0)
dp16PtProp$     = CHR$(27) + CHR$(88) + CHR$(1)  + CHR$(32) + CHR$(0)
dp18PtFixed$    = CHR$(27) + CHR$(88) + CHR$(54) + CHR$(36) + CHR$(0)
dp18PtProp$     = CHR$(27) + CHR$(88) + CHR$(1)  + CHR$(36) + CHR$(0)
dp20PtFixed$    = CHR$(27) + CHR$(88) + CHR$(60) + CHR$(40) + CHR$(0)
dp20PtProp$     = CHR$(27) + CHR$(88) + CHR$(1)  + CHR$(40) + CHR$(0)
dp22PtFixed$    = CHR$(27) + CHR$(88) + CHR$(66) + CHR$(44) + CHR$(0)
dp22PtProp$     = CHR$(27) + CHR$(88) + CHR$(1)  + CHR$(44) + CHR$(0)
dp24PtFixed$    = CHR$(27) + CHR$(88) + CHR$(72) + CHR$(48) + CHR$(0)
dp24PtProp$     = CHR$(27) + CHR$(88) + CHR$(1)  + CHR$(48) + CHR$(0)
dp26PtFixed$    = CHR$(27) + CHR$(88) + CHR$(78) + CHR$(52) + CHR$(0)
dp26PtProp$     = CHR$(27) + CHR$(88) + CHR$(1)  + CHR$(52) + CHR$(0)
dp28PtFixed$    = CHR$(27) + CHR$(88) + CHR$(84) + CHR$(56) + CHR$(0)
dp28PtProp$     = CHR$(27) + CHR$(88) + CHR$(1)  + CHR$(56) + CHR$(0)
dp30PtFixed$    = CHR$(27) + CHR$(88) + CHR$(90) + CHR$(60) + CHR$(0)
dp30PtProp$     = CHR$(27) + CHR$(88) + CHR$(1)  + CHR$(60) + CHR$(0)
dp32PtFixed$    = CHR$(27) + CHR$(88) + CHR$(96) + CHR$(64) + CHR$(0)
dp32PtProp$     = CHR$(27) + CHR$(88) + CHR$(1)  + CHR$(64) + CHR$(0)

dpCondensedOn$         = CHR$(15)
dpCondensedOff$        = CHR$(18)
dpExpandedOn$          = CHR$(27) + CHR$(87) + CHR$(49)
dpExpandedOff$         = CHR$(27) + CHR$(87) + CHR$(48)
dpExpandedThisLineOn$  = CHR$(14)
dpExpandedThisLineOff$ = CHR$(20)

' Font Style Codes
' ================

dpBoldOn$          = CHR$(27) + CHR$(69)
dpBoldOff$         = CHR$(27) + CHR$(70)
dpItalicOn$        = CHR$(27) + CHR$(52)
dpItalicOff$       = CHR$(27) + CHR$(53)
dpDoubleStrikeOn$  = CHR$(27) + CHR$(71)
dpDoubleStrikeOff$ = CHR$(27) + CHR$(72)
dpUnderlineOn$     = CHR$(27) + CHR$(45)  + CHR$(49)
dpUnderlineOff$    = CHR$(27) + CHR$(45)  + CHR$(48)

dpNLQ$             = CHR$(27) + CHR$(120) + CHR$(49)
dpDraft$           = CHR$(27) + CHR$(120) + CHR$(48)

' Font Color
' ==========

dpBlack$   = CHR$(27) + CHR$(114) + CHR$(48)
dpRed$     = CHR$(27) + CHR$(114) + CHR$(49)
dpBlue$    = CHR$(27) + CHR$(114) + CHR$(50)
dpViolet$  = CHR$(27) + CHR$(114) + CHR$(51)
dpYellow$  = CHR$(27) + CHR$(114) + CHR$(52)
dpOrange$  = CHR$(27) + CHR$(114) + CHR$(53)
dpGreen$   = CHR$(27) + CHR$(114) + CHR$(54)

' Misc
' ====

dpReset$     = CHR$(27) + CHR$(64)
dpCancel$    = CHR$(24)
dpDelete$    = CHR$(127)
dpReverseLF$ = CHR$(27) + CHR$(106)     ' Next byte determines n/216 inch feed
dpCRLF$      = CHR$(13) + CHR$(10)
dpFF$        = CHR$(12)

' DOSPRINT specific codes
' =======================

dpLeft$         = CHR$(27) + CHR$(30) + CHR$(76)
dpCenter$       = CHR$(27) + CHR$(30) + CHR$(67)
dpRight$        = CHR$(27) + CHR$(30) + CHR$(82)
dpNoAlign$      = CHR$(27) + CHR$(30) + CHR$(48)

dpCopyright$    = CHR$(27) + CHR$(34) + CHR$(49)
dpRegistered$   = CHR$(27) + CHR$(34) + CHR$(50)
dpTradeMark$    = CHR$(27) + CHR$(34) + CHR$(51)
dpEuro$         = CHR$(27) + CHR$(34) + CHR$(51)

dpLeftMargin$   = CHR$(27) + CHR$(108) + ""
dpRightMargin$  = CHR$(27) + CHR$(81)  + ""

dpnCPI$         = CHR$(27) + CHR$(34) + CHR$(81) + ""

dpRGB$          = CHR$(27) + CHR$(34) + CHR$(82) + "" + "" + ""

dpLandscape$    = CHR$(27) + CHR$(34) + CHR$(83)
dpPortrait$     = CHR$(27) + CHR$(34) + CHR$(84)

dpOutlineOff$   = CHR$(27) + CHR$(34) + CHR$(85)
dpOutlineOn$    = CHR$(27) + CHR$(34) + CHR$(86)

dpFixedPosOff$  = CHR$(27) + CHR$(34) + CHR$(87)
dpFixedPosOn$   = CHR$(27) + CHR$(34) + CHR$(88)

dpInterpretOff$ = CHR$(27) + CHR$(34) + CHR$(89)
dpInterpretOn$  = CHR$(27) + CHR$(34) + CHR$(90)

dpGraphic$      = CHR$(27) + CHR$(34) + CHR$(66) + ""
dpShaded$       = CHR$(27) + CHR$(34) + CHR$(80) + ""
dpPageBorder$   = CHR$(27) + CHR$(34) + CHR$(79)

'****************************************************************************
'$IF 0   ' Uncomment this block to make these variables SHARED in PB/DOS
SHARED dp6LPI$, dp8LPI$, dpn60LPI$, dpn180LPI$, dpn360LPI$, dp772LPI$
SHARED dpHTab$, dpVTab$, dpHTabFixed$, dpVTabFixed$

SHARED dpFontDefault$, dpFontRoman$, dpFontSansSerif$, dpFontCourier$
SHARED dpFontPrestige$, dpFontScript$, dpFontOCRB$, dpFontOCRA$
SHARED dpFontOrator$, dpFontOratorS$, dpFontScriptC$, dpFontRomanT$
SHARED dpFontSansSerifH$, dpFontSVBusaBA$, dpFontSVJittRA$
SHARED dpFontUser1$, dpFontUser2$, dpFontUser3$

SHARED dp10CPI$, dp12CPI$, dpSmall$, dpFixed$, dpProp$, dpPropOff$, dpPropOn$
SHARED dpDefaultFixed$, dpDefaultProp$
SHARED dp8PtFixed$,  dp8PtProp$,  dp10PtFixed$, dp10PtProp$
SHARED dp11PtFixed$, dp11PtProp$
SHARED dp12PtFixed$, dp12PtProp$, dp14PtFixed$, dp14PtProp$
SHARED dp16PtFixed$, dp16PtProp$, dp18PtFixed$, dp18PtProp$
SHARED dp20PtFixed$, dp20PtProp$, dp22PtFixed$, dp22PtProp$
SHARED dp24PtFixed$, dp24PtProp$, dp26PtFixed$, dp26PtProp$
SHARED dp28PtFixed$, dp28PtProp$, dp30PtFixed$, dp30PtProp$
SHARED dp32PtFixed$, dp32PtProp$

SHARED dpCondensedOn$, dpCondensedOff$, dpExpandedOn$, dpExpandedOff$
SHARED dpExpandedThisLineOn$, dpExpandedThisLineOff$, dpBoldOn$, dpBoldOff$
SHARED dpItalicOn$, dpItalicOff$, dpDoubleStrikeOn$, dpDoubleStrikeOff$
SHARED dpUnderlineOn$, dpUnderlineOff$, dpNlq$, dpDraft$

SHARED dpBlack$, dpRed$, dpBlue$, dpViolet$, dpYellow$, dpOrange$, dpGreen$

SHARED dpReset$, dpCancel$, dpDelete$, dpReverseLF$
SHARED dpCRLF$, dpFF$

SHARED dpLeft$, dpCenter$, dpRight$, dpNoAlign$
SHARED dpCopyright$, dpRegistered$, dpTradeMark$, dpEuro$

SHARED dpLeftMargin$, dpRightMargin$
SHARED dpRGB$
SHARED dpPortrait$, dpLandscape$

SHARED dpOutlineOff$, dpOutlineOn$
SHARED dpFixedPosOff$, dpFixedPosOn$
SHARED dpInterpretOff$, dpInterpretOn$

SHARED dpGraphic$, dpShaded$, dpPageBorder$

'$ENDIF
'****************************************************************************
